# Get-RASTemplateVersionStatus.md

## NAME

Get-RASTemplateVersionStatus

## SYNOPSIS

Retrieves the Status information of one or more Template Versions.

## SYNTAX

\*\*Get-RASTemplateVersionStatus -[ObjType](#objtype) {VDITemplateVersion | RDSTemplateVersion | AVDTemplateVersion} -[TemplateId](#templateid-string) *(uint)* \[[Id](#id-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Retrieves the Status information of one or more Template Versions.

## PARAMETERS

## Id (uint)

The Version Id of the Template Version Status to retrieve.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## TemplateId (uint)

The Id of the Template from which to retrieve the Version Status(es).

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ObjType

([TemplateVersionObjType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/templateversionobjtype.md)) The Template type of which to retrieve the Template Version Status(es).

Possible values: VDITemplateVersion, RDSTemplateVersion, AVDTemplateVersion

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

[TemplateVersionStatus](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/templateversionstatus.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Get-RASTemplateVersionStatus -ObjType RDSTemplate -TemplateId 1107544675

Retrieves the Status information of all Versions found within the specified RDS Template.\
\*\*---------- EXAMPLE 2 ----------

Get-RASTemplateVersionStatus -ObjType AVDTemplate -TemplateId 1107548564 -Id 2

Retrieves the Status information of the specified Version from the specified AVD Template.

## RELATED LINKS

* [Get-RASTemplateVersion](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rastemplateversion.md)
* [Set-RASTemplateVersion](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rastemplateversion.md)
* [Remove-RASTemplateVersion](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rastemplateversion.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rastemplateversionstatus.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
